Bug 220564 - devel/buildbot: Update to 0.9.10
Summary: devel/buildbot: Update to 0.9.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alan Somers
URL:
Keywords: needs-patch
Depends on: 221889
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-08 16:35 UTC by Alan Somers
Modified: 2017-09-19 05:19 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (grembo)
koobs: maintainer-feedback? (asomers)


Attachments
Upgrade buildbot ports to 0.9.9.post2 (7.79 KB, patch)
2017-07-08 16:35 UTC, Alan Somers
no flags Details | Diff
Upgrade buildbot ports to 0.9.9.post2 (9.26 KB, patch)
2017-07-29 18:56 UTC, Alan Somers
koobs: maintainer-approval+
Details | Diff
Upgrade buildbot ports to 0.9.10 (10.29 KB, patch)
2017-09-07 04:44 UTC, Alan Somers
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2017-07-08 16:35:13 UTC
Created attachment 184186 [details]
Upgrade buildbot ports to 0.9.9.post2

The attached patch upgrades all of the buildbot ports from 0.9.5 to 0.9.9.post2.  They build in Poudriere.  However, I haven't done any runtime testing.  Grembo, do you have a dummy project setup for runtime testing of Buildbot?
Comment 1 Alan Somers freebsd_committer 2017-07-29 18:56:20 UTC
Created attachment 184834 [details]
Upgrade buildbot ports to 0.9.9.post2

I've tested everything now.  It all works, but I decided to add two more run depends:

1) py-txrequests should be a dependency of buildbot.  Upstream considers it to be an optional dependency, with treq being the alternative.  But treq isn't in our ports tree, to txrequests is required.

2) py-service_identity should be a dependency of buildbot-www.  Without it, buildbot-www prints a warning message on startup about reduced ability to validate https connections.  We could conditionalize it on an SSL knob, but I don't think it's worth it.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-25 03:47:46 UTC
Note: 0.9.9.10 has been released
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-25 03:48:25 UTC
Comment on attachment 184834 [details]
Upgrade buildbot ports to 0.9.9.post2

Approved by: portmgr (maintainer timeout, 6+ weeks)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-25 03:51:38 UTC
Apologies, 0.9.10
Comment 5 Craig Rodrigues freebsd_committer 2017-08-28 16:33:36 UTC
I recommend that a port of treq be created.  txrequests has problems which affects buildbot:

https://github.com/buildbot/buildbot/issues/3535#issuecomment-325298438

Personally, I install buildbot outside of FreeBSD ports,
because the number of dependencies on other Python packages is huge.
Comment 6 Alan Somers freebsd_committer 2017-09-07 04:42:32 UTC
I've now successfully run tested buildbot 0.9.10.  I'm ready to commit, but I need approval to create the new port for treq.  That's PR 221889.
Comment 7 Alan Somers freebsd_committer 2017-09-07 04:44:11 UTC
Created attachment 186141 [details]
Upgrade buildbot ports to 0.9.10
Comment 8 commit-hook freebsd_committer 2017-09-17 04:43:55 UTC
A commit references this bug:

Author: asomers
Date: Sun Sep 17 04:43:20 UTC 2017
New revision: 449984
URL: https://svnweb.freebsd.org/changeset/ports/449984

Log:
  devel/buildbot*: Update to 0.9.10

  PR:		220564
  Reviewed by:	koobs, rodrigc
  Approved by:	koobs (portmgr), grembo (maintainer timeout)

Changes:
  head/devel/buildbot/Makefile
  head/devel/buildbot/distinfo
  head/devel/buildbot/files/patch-buildbot-scripts-sample.cfg
  head/devel/buildbot/files/patch-setup.py
  head/devel/buildbot-console-view/Makefile
  head/devel/buildbot-console-view/distinfo
  head/devel/buildbot-pkg/Makefile
  head/devel/buildbot-pkg/distinfo
  head/devel/buildbot-waterfall-view/Makefile
  head/devel/buildbot-waterfall-view/distinfo
  head/devel/buildbot-worker/Makefile
  head/devel/buildbot-worker/distinfo
  head/devel/buildbot-www/Makefile
  head/devel/buildbot-www/distinfo
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2017-09-17 04:48:13 UTC
Comment on attachment 186141 [details]
Upgrade buildbot ports to 0.9.10

Correctly document approval:

Approved by: koobs (ports)
Approved by: portmgr (maintainer timeout)
Comment 10 Michael Gmelin freebsd_committer 2017-09-18 11:19:13 UTC
(In reply to Kubilay Kocak from comment #9)
@koobs 0.9.11 just got released, the project I'm using buildbot on has stalled, so I don't have a way to properly test these updates myself at the moment. I hope this will improve in the future, but if you feel like you have the capacity to move this port forward, please feel free to take it back.

-m
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2017-09-19 05:19:45 UTC
Assign to committer that resolved
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2017-09-19 05:19:56 UTC
(In reply to Michael Gmelin from comment #10)

Will do Michael, thanks for the heads up